package api.common.pojo.enums;

import lombok.Getter;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Getter
public class SceneEvaluationLevel {

    // 由小到大
    private final static List<String> EVALUATION_LEVEL = new ArrayList<>(Arrays.asList("D", "C", "B", "A", "AA", "S"));

    public static List<String> getEvaluationLevelList(String level) {
        List<String> selectEvaluationLevels = new ArrayList<>();
        int index = -1;
        for (int i = 0; i < EVALUATION_LEVEL.size(); i++) {
            if (EVALUATION_LEVEL.get(i).equals(level)) {
                index = i;
            }
            if (index >= i) {
                selectEvaluationLevels.add(EVALUATION_LEVEL.get(i));
                index++;
            }
        }
        return selectEvaluationLevels;
    }
}
