package api.common.pojo.po.group;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SimulationMageGroupPO implements Serializable {
    private String id;
    private String groupName;

    private String softwarePath;

    private String controllerPath;

    private String connectorPath;

    private String groupDescription;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;
}